%define baselangversion en
%define langversion en-US
%define langname English(US)

Name:           ooo3-%{langversion}
Summary:        Virtual package for easier instalation of OpenOffice.org 3.x
%define mainversion 3.3
%define minorversion 9567
Version:        %{mainversion}.%{minorversion}
Release:        0%{?dist}
%define upperversion 3.3

Group:          Applications/Productivity
License:        GPLv2+
URL:            http://www.openoffice.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

Requires:       ooobasis%{upperversion}-%{langversion} >= %{mainversion}
Requires:       ooobasis%{upperversion}-%{langversion}-base >= %{mainversion}
Requires:       ooobasis%{upperversion}-%{langversion}-binfilter >= %{mainversion}
Requires:       ooobasis%{upperversion}-%{langversion}-calc >= %{mainversion}
Requires:       ooobasis%{upperversion}-%{langversion}-draw >= %{mainversion}
Requires:       ooobasis%{upperversion}-%{langversion}-help >= %{mainversion}
Requires:       ooobasis%{upperversion}-%{langversion}-impress >= %{mainversion}
Requires:       ooobasis%{upperversion}-%{langversion}-math >= %{mainversion}
Requires:       ooobasis%{upperversion}-%{langversion}-res >= %{mainversion}
Requires:       ooobasis%{upperversion}-%{langversion}-writer >= %{mainversion}
Requires:       openoffice.org3-%{langversion} >= %{mainversion}
Requires:       openoffice.org3-dict-%{baselangversion} >= %{mainversion}
Requires:       ooo3-base >= %{version}

Provides:       ooo3-%{langversion} = %{version}-%{release}


%description
This is virtual package that provides easy installation
of %{langname} language and core packages of OpenOffice.org %{version}
put together on http://rpms.plnet.rs 
When you install this one, or any other language package
(ooo3-en-US,...), they will install core packages also.

%prep
mkdir -p $RPM_BUILD_DIR/%{name}-%{version}
cd $RPM_BUILD_DIR/%{name}-%{version}
cat > README << EOF
This is virtual package that provides easy installation
of %{langname} language and core packages of OpenOffice.org %{version}
put together on http://rpms.plnet.rs 
When you install this one, or any other language package
(ooo3-en-US,...), they will install core packages also.
EOF


%files
%defattr(-,root,root,-)
%doc %{name}-%{version}/README



%changelog
* Sun Feb 26 2011 Ljubomir Ljubojevic <office@plnet.rs> - 3.3.9567-0
- Bumped up to version 3.3.

* Sun Feb 14 2010 Ljubomir Ljubojevic <office@plnet.rs> - 3.2.9483-1
- Bumped up to version 3.2.
- Removed fixed numbering for packages.
- Removed numbering from spec filename.
- Disabled dict dependecy.

* Sat Feb 06 2010 Ljubomir Ljubojevic <office@plnet.rs> - 3.1.1.9420-1
- Changed version numbering.

* Tue Oct  6 2009 Ljubomir Ljubojevic <office@plnet.rs> - 3.1.1
- First build.
